{pkgs, ...}: {
  boot = {
    consoleLogLevel = 3;
    initrd.verbose = false;
    
    # Global kernel parameters
    kernelParams = [
      "usbcore.autosuspend=-1" # Disable USB autosuspend to fix keyboard wakeup issues
    ];

    loader = {
      timeout = 0;
      systemd-boot = {
        enable = true;
        editor = false;
      };

      efi = {
        canTouchEfiVariables = true;
        efiSysMountPoint = "/boot";
      };
    };
    initrd = {
      systemd.enable = true;
    };

    plymouth = {
      enable = true;
      themePackages = [
        (pkgs.callPackage ../../apps/plymouth/theme.nix {})
      ];
      theme = "hakase";
    };
  };
}